stages:
  - test
  - build
  - deploy

build-package:
  stage: build
  image: node:latest
  variables:
    PACKAGE_NAME: mobile-preview
  script:
    - ls
    - mkdir ../$PACKAGE_NAME
    - cp index.js package.json ../$PACKAGE_NAME/
    - cd ../$PACKAGE_NAME
    - echo "//${CI_SERVER_HOST}/api/v4/projects/${CI_PROJECT_ID}/packages/npm/:_authToken=${CI_JOB_TOKEN}" > .npmrc
    - GITLAB_AUTH_TOKEN=$CI_JOB_TOKEN GITLAB_PROJECT_ID=$CI_PROJECT_ID npm publish
